Mailinglist Archive: opensuse-buildservice (110 mails)

< Previous Next >
Re: [opensuse-buildservice] expansion error : have choice for libdns_sd.so()(64bit)
  • From: Adrian Schröter <adrian@xxxxxxx>
  • Date: Mon, 17 Jul 2006 09:13:25 +0200
  • Message-id: <200607170913.25974.adrian@xxxxxxx>
Am Monday 17 July 2006 08:15 schrieb Jonathan Arson:
> > > You can add one of them explicitly.
> >
> > Add this in your spec
> > %if %suse_version > 1000
> > Requires: mDNSResponder-lib
> > %endif
>
> Ho and btw this should go into gnome-vfs spec, put this into mine (jarpack)
> and that issue went away on my repo (couple other package might depend on
> it explecitly too), i know this is kinda bad and keep avahi from being used
> at all but gnome-vfs WONT build with it at all and create a explicit dep on
> mDNSResponder.

the problem is that only one solution can run at the same time. Atm we use
mDNSResponder, because avahi has a number of issues (broken compat lib,
missing IPv6 support). So you need to adapt the sources to use the Apple
solution atm.

We might switch later, but this is not clear yet.

--

Adrian Schroeter
SUSE Linux Products GmbH, Maxfeldstr. 5, 90409 Nuernberg, Germany
email: adrian@xxxxxxx


---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice-unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice-help@xxxxxxxxxxxx

< Previous Next >